Bug 148983 - Extra isdn4k-utils buildroot with single quotes in name (!)
Extra isdn4k-utils buildroot with single quotes in name (!)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: isdn4k-utils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-17 13:35 EST by Jos Vos
Modified: 2010-12-16 11:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-16 11:20:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for spec file to solve both described problems (759 bytes, patch)
2005-05-16 14:00 EDT, Jos Vos
no flags Details | Diff

  None (edit)
Description Jos Vos 2005-02-17 13:35:41 EST
Description of problem:
After (re)building isdn4k-utils, there is a directory left named
/var/tmp/isdnk4k-utils'/usr/share/doc/vbox' (the two single quotes are
actually part of the directory name!!) with two files in it, vbox.txt
and vbox.sgml.  So, something goes horribly wrong with quoting during
the buildroot install, creating a second buildroot with the quotes at
some point.

Version-Release number of selected component (if applicable):
3.2-18.p1.1

Additional info:
I will try to find the problem and submit a fix.
Comment 1 Andreas Thienemann 2005-02-26 12:44:49 EST
The culprit is the make install part of the spec file together with the way the
directories are defined in the .config file.

.config hast the directories enclosed by single quotes.

The make install part creates the directory enclosed by double quotes, thus
making the single quotes part of the directory name.

Making install in de
make[3]: Entering directory
`/usr/src/redhat/BUILD/isdn4k-utils-CVS-2003-09-23/vbox/doc/de'
make[4]: Entering directory
`/usr/src/redhat/BUILD/isdn4k-utils-CVS-2003-09-23/vbox/doc/de'
make[4]: Nothing to be done for `install-exec-am'.
test -z "'/usr/share/doc/vbox'" || mkdir -p --
"/var/tmp/isdn4k-utils-root'/usr/share/doc/vbox'"
 /usr/bin/install -c -m 644 'vbox.sgml'
'/var/tmp/isdn4k-utils-root'/usr/share/doc/vbox'/vbox.sgml'
 /usr/bin/install -c -m 644 'vbox.txt'
'/var/tmp/isdn4k-utils-root'/usr/share/doc/vbox'/vbox.txt'


Additionally, line 136 of the specfile is bogus:

( cd %{_builddir}/isdn4k-utils/linux-2.4 && ln -s /usr/include . )

the directory, the specfile changes to is non-existant.
Comment 2 Jos Vos 2005-05-16 13:59:32 EDT
I've made a small patch to solve both problems (will attach it here).

Note that the hack to avoid the quotes in the directory is a big hack, but a
more structural solution probably has a high impact on several
configure/Makefiles and should be done upstream.
Comment 3 Jos Vos 2005-05-16 14:00:56 EDT
Created attachment 114436 [details]
Patch for spec file to solve both described problems
Comment 4 Ngo Than 2005-05-19 07:11:25 EDT
I have already added the hack in rawhide for a long time, and it's in RHEL4-CVS
too. If we update isdn4k-utils for RHEL4 in the future, it will include this
fix. Many thanks for your report.
Comment 7 Suzanne Yeghiayan 2010-12-16 11:20:22 EST
Unfortunately this issue did not get resolved in RHEL 4.9.
If this is still a concern, please contact your Red Hat Support representative to request an exception.

Note You need to log in before you can comment on or make changes to this bug.